searchData={"content_type":"text/markdown","items":[{"doc":"Invokes pandoc with the given args.\n\nUsage:\n\n    $ mix pandoc TASK_OPTIONS PROFILE PANDOC_ARGS\n\nExample:\n\n    $ mix pandoc default documents/hello.md -o priv/static/posts/hello.html\n\nIf pandoc is not installed, it is automatically downloaded. Note the\narguments given to this task will be appended to any configured arguments.","ref":"Mix.Tasks.Pandoc.html","title":"mix pandoc","type":"task"},{"doc":"* `--runtime-config` - load the runtime configuration\n    before executing command\n\nNote flags to control this Mix task must be given before the profile:\n\n    $ mix pandoc --runtime-config default documents/hello.md","ref":"Mix.Tasks.Pandoc.html#module-options","title":"Options - mix pandoc","type":"task"},{"doc":"Installs pandoc under `_build`.\n\n```bash\n$ mix pandoc.install\n$ mix pandoc.install --if-missing\n```\n\nBy default, it installs 3.6.1 but you can configure it\nin your config files, such as:\n\n    config :pandoc, :version, \"3.6.1\"","ref":"Mix.Tasks.Pandoc.Install.html","title":"mix pandoc.install","type":"task"},{"doc":"* `--runtime-config` - load the runtime configuration before executing\n    command\n\n  * `--if-missing` - install only if the given version does not exist","ref":"Mix.Tasks.Pandoc.Install.html#module-options","title":"Options - mix pandoc.install","type":"task"},{"doc":"Pandoc is an installer, runner and watcher for [pandoc](https://pandoc.org).","ref":"Pandoc.html","title":"Pandoc","type":"module"},{"doc":"You can define multiple pandoc profiles. By default, there is a profile\ncalled `:default` which you can configure its args, current directory and\nenvironment. You can make the args dynamic by defining a function.\n\n    config :pandoc,\n      version: \"3.6.1\",\n      default: [\n        args: fn extra_args ->\n          {_, [input_file], _} = OptionParser.parse(extra_args, switches: [])\n          ~w(--output=../priv/static/posts/#{Path.rootname(input_file)}.html)\n        end,\n        cd: Path.expand(\"../documents\", __DIR__)\n      ]","ref":"Pandoc.html#module-profiles","title":"Profiles - Pandoc","type":"module"},{"doc":"There are four global configurations for the pandoc application:\n\n  * `:version` - the expected pandoc version\n\n  * `:version_check` - whether to perform the version check or not.\n    Useful when you manage the pandoc executable with an external\n    tool\n\n  * `:cacerts_path` - the directory to find certificates for\n    https connections\n\n  * `:path` - the path to find the pandoc executable at. By\n    default, it is automatically downloaded and placed inside\n    the `_build` directory of your current app\n\nOverriding the `:path` is not recommended, as we will automatically download\nand manage `pandoc` for you. But in case you can't download it, you may want\nto set the `:path` to a configurable system location.","ref":"Pandoc.html#module-pandoc-configuration","title":"Pandoc configuration - Pandoc","type":"module"},{"doc":"Returns the path to the executable.\n\nThe executable may not be available if it was not yet installed.","ref":"Pandoc.html#bin_path/0","title":"Pandoc.bin_path/0","type":"function"},{"doc":"Returns the version of the pandoc executable.\n\nReturns `{:ok, version_string}` on success or `:error` when the executable\nis not available.","ref":"Pandoc.html#bin_version/0","title":"Pandoc.bin_version/0","type":"function"},{"doc":"Returns the configuration for the given profile.\n\nReturns nil if the profile does not exist.","ref":"Pandoc.html#config_for!/1","title":"Pandoc.config_for!/1","type":"function"},{"doc":"Returns the configured pandoc version.","ref":"Pandoc.html#configured_version/0","title":"Pandoc.configured_version/0","type":"function"},{"doc":"The default URL to install Pandoc from.","ref":"Pandoc.html#default_base_url/0","title":"Pandoc.default_base_url/0","type":"function"},{"doc":"Installs pandoc with `configured_version/0`.\n\nIf invoked concurrently, this task will perform concurrent installs.","ref":"Pandoc.html#install/1","title":"Pandoc.install/1","type":"function"},{"doc":"Installs, if not available, and then runs `pandoc`.\n\nThis task may be invoked concurrently and it will avoid concurrent installs.\n\nReturns the same as `run/2`.","ref":"Pandoc.html#install_and_run/2","title":"Pandoc.install_and_run/2","type":"function"},{"doc":"Runs the given command with `args`.\n\nThe given args will be appended to the configured args. The task output will\nbe streamed directly to stdio. It returns the status of the underlying call.","ref":"Pandoc.html#run/2","title":"Pandoc.run/2","type":"function"},{"doc":"Starts a file system watcher that runs the given command with `args` when a\nfile event is received for a file that matches the given pattern.\n\nThe given args will be appended to the configured args. The task output will\nbe streamed directly to stdio.","ref":"Pandoc.html#watch/3","title":"Pandoc.watch/3","type":"function"}],"producer":{"name":"ex_doc","version":"0.35.1"},"proglang":"elixir"}